// package_B/records/index.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        current: "/feedback/my",
        statusList: ['待处理','待处理','已处理','已处理'],
        params: {},
        statusList: [
            {title: '待处理', color: '#F34747'},
            {title: '待处理', color: '#F34747'},
            {title: '已处理', color: '#477DF3'},
            {title: '已处理', color: '#477DF3'}
        ]
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let params = this.data.params
        params.openid = wx.getStorageSync('openId')
        this.setData({params})
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
       
    },
    /* 更新数据 */
    updateList(e) {
        let list = this.data.list.concat(e.detail)
        this.setData({ list })
    },
    /* 重置数据 */
    resetList() {
        this.setData({ list: [] })
    },

    /* 跳转至详情页 */
    showDetail(e) {
        let data = e.currentTarget.dataset.item
        wx.navigateTo({
          url: '/package_B/pages/feedbackDetail/index?data='+ JSON.stringify(data),
        })
    }


    
})