// pages/login/login.js
import {getUserInfo} from '../../utils/getUserInfo.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        userInfo: {},
        hasUserInfo: false,
        canIUseGetUserProfile: false
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        // if (wx.getUserProfile) {
        //     this.setData({
        //       canIUseGetUserProfile: true
        //     })
        //   }
        
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        // 隐藏返回图标
        wx.hideHomeButton();
    },
    getUserProfile(e) {
        // 推荐使用 wx.getUserProfile 获取用户信息，开发者每次通过该接口获取用户个人信息均需用户确认
        // 开发者妥善保管用户快速填写的头像昵称，避免重复弹窗
        let userInfo = wx.getStorageSync('userInfo')
        if(!userInfo.nickName) {
            getUserInfo().then(res=> {
                this.setData({
                    userInfo: res.userInfo
                })
                wx.switchTab({
                    url: '/pages/home/index',
                })
            })
        } else {
            wx.switchTab({
                url: '/pages/home/index',
            })
        }
    },
    getUserInfo(e) {
        // 不推荐使用 getUserInfo 获取用户信息，预计自2021年4月13日起，getUserInfo将不再弹出弹窗，并直接返回匿名的用户个人信息
        this.setData({
            userInfo: e.detail.userInfo,
            hasUserInfo: true
        })
    },
})